<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport">
  <title>AJAX Solr</title>
  
  <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.24/themes/smoothness/jquery-ui.css">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <script src="https://kit.fontawesome.com/a076d05399.js"></script>

  <link rel="stylesheet" href="css/solr_web1_7.css">




  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
 

</head>

<body>



  <header>
    <div class="container">
      <h1>AJAX Solr EGA Demonstration</h1>
    </div>
  </header>



  <div class="main-content">
    <div class="container">
      <div class="content">
        <div class="row mb-3 justify-content-md-center">
          <div class="col-sm-4 order-12 order-sm-1" id="leftbox">
            <div class="">
              <h2 class="h2left"> <strong> Current Selection</strong> </h2>
              <ul id="selection"></ul>

              <h2 class="h2left"> <strong> Search text or facet fields</strong> </h2></br>
              <ul id="search">
                <input type="text" id="query" name="query" autocomplete="off">
              </ul>

              <section class="facet-list">

                <div>
                  <button class="accordion" id="accordionfirst">
                    <h2 class="h2left"> <strong> Type </strong> </h2>
                  </button>
                  <div class="tagcloud panel " id="type"></div>
                </div>

                <div class="repository-class">
                  <button class="accordion">
                    <h2 class="h2left"> <strong>Repository </strong> </h2>
                  </button>
                  <div class="tagcloud panel " id="repository"></div>
                </div>

                <div class="study_type-class">
                  <button class="accordion">
                    <h2 class="h2left"> <strong>Study type </strong> </h2>
                  </button>
                  <div class="tagcloud panel " id="study_type"></div>
                </div>

                <div class="dataset_type-class">
                  <button class="accordion">
                    <h2 class="h2left"> <strong> Dataset type</strong> </h2>
                  </button>
                  <div class="tagcloud panel " id="dataset_type"></div>
                </div>

                <div class="dataset_technology-class">
                  <button class="accordion">
                    <h2 class="h2left"> <strong> Dataset technology </strong> </h2>
                  </button>
                  <div class="tagcloud panel " id="dataset_technology"></div>
                </div>

                <div class="phenotypes-class">
                  <button class="accordion">
                    <h2 class="h2left"> <strong>Phenotypes </strong> </h2>
                  </button>
                  <div class="panel tagcloud" id="phenotypes"></div>
                </div>

                <div class="file_formats-class">
                  <button class="accordion">
                    <h2 class="h2left"> <strong> File formats </strong></h2>
                  </button>
                  <div class="panel tagcloud" id="file_formats"></div>
                </div>

                <div class="is_in_beacon-class">
                  <button class="accordion">
                    <h2 class="h2left"> <strong>Beacon </strong> </h2>
                  </button>
                  <div class="panel tagcloud" id="is_in_beacon"></div>
                </div>

                <div class="DUO-class">
                  <button class="accordion">
                    <h2 class="h2left"> <strong>DUOs </strong> </h2>
                  </button>
                  <div class="panel tagcloud" id="DUO"></div>
                </div>
                <!-- If dataset is not selected, hide the samples -->
                <div class="dataset_type-class">
                  <button class="accordion">
                    <h2 class="h2left"> <strong>Samples </strong> </h2>
                  </button>
                  <div class="panel tagcloud" id="samples"></div>
                </div>

                <div class="domain-class">
                  <button class="accordion">
                    <h2 class="h2left"> <strong> Domain</strong> </h2>
                  </button>
                  <div class="panel tagcloud" id="domain"></div>
                </div>

              </section>
              <div class="clear"></div>
            </div>
          </div>

          <div class="col-sm-8 order-1 order-sm-12 brand-holder">
            <div class="rightbox">
              <div id="result">
                <div class="navigation">
                  <div id="pager-header">

                  </div>

                  </br>
                  <!-- pager 1-->
                  <ul class="pager-style" id="pager">

                  </ul>

                </div>
                <div>
                  <div id="divfilters"></div>

                  <table id="YOU" class="results-item-header">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Title</th>
                        <th>Description</th>
                      </tr>
                    </thead>
                    <tbody id="docs">

                    </tbody>

                  </table>

                </div>

                <div class="navigation">
                  <br>
                  <div class="records-page" id="records"></div>
                  <!-- pager 2-->
                  <ul class="pager-style" id="pager2">

                  </ul>
                </div>
              </div>

            </div>
          </div>

        </div>

      </div>

    </div>

    <div class="clear"></div>

  </div>

  <script>
    var acc = document.getElementsByClassName("accordion");
    var i;

    for (i = 0; i < acc.length; i++) {
      acc[i].addEventListener("click", function () {
        this.classList.toggle("active");
        var panel = this.nextElementSibling;
        if (panel.style.maxHeight) {
          panel.style.maxHeight = null;
        } else {
          panel.style.maxHeight = (parseInt(panel.scrollHeight) + 10).toString() + "px";
        }
      });
    }
  </script>

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.24/jquery-ui.min.js"></script>
  <script src="core/Core.js"></script>
  <script src="core/AbstractManager.js"></script>
  <script src="managers/Manager.jquery.js"></script>
  <script src="core/Parameter.js"></script>
  <script src="core/ParameterStore.js"></script>
  <script src="core/AbstractWidget.js"></script>
  <script src="widgets/jquery/PagerWidget.js"></script>
  <script src="core/AbstractFacetWidget.js"></script>
  <script src="widgets/TagcloudWidget.js"></script>
  <script src="widgets/CurrentSearchWidget.js"></script>
  <script src="core/AbstractTextWidget.js"></script>
  <script src="widgets/AutocompleteWidget.js"></script>
  <!-- Extensions -->
  <script src="widgets/RangeWidget.js"></script>
  <script src="widgets/ResultWidget.js"></script>
  <script src="widgets/MultiSelectWidget.js"></script>

  <!-- and cue music -->
  <script src="js/solr_web.js"></script>



</body>

</html>